## lava-dispatcher 2017.7

=== debian/changelog ===
lava-dispatcher (2017.7-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild from buster for jessie-backports-sloppy.

 -- Neil Williams <codehelp@debian.org>  Fri, 14 Jul 2017 09:16:37 +0100

lava-dispatcher (2017.7-1) unstable; urgency=medium

  * New production release
    d8dabe63 Switch the print to a test in unit test
    d1e22b67 Revert "Replace invalid characters in test_case_id."
    b3b4f5ac Update the example to a working test job with prompts.
    504ec2bc LAVA-777 last log line should be lava.job result
    ad55acb9 Ensure overlay unpacking is clearly logged
    2e7c9598 Add pipeline_ref update for test skipped by lavabot
    ed936cd3 Simplify the power control actions
    78dcc1b0 Fix dispatcher configuration
    89880ce1 LAVA-96 Check for errors if a tftp file exceeds 4G
    6fd2702e LAVA-989 add extra logging for actions
    df86ed30 LAVA-990 add logging for VLANd + MultiNode support
    bbfb1817 Stop the unit test outputting noise
    c7839a98 Add a new log level for the DUT inputs
    2502b8af Destroy LXC containers properly.
    957734cf Add a unit test for Vland actions
    68468abe Handle a bad url cleanly.
    713d4e6e LAVA-645 - summarise slave logging
    96a5effe Do not raise exceptions in validate
    f45106fb Catch errors in testdef from handler cleanly
    f34f41e2 LAVA-984 - LXC protocol timeout to report job result
    e31722b5 Allow ci-run with updated pep8
    175d8e84 LAVA-931 - MultiNode lava-sync should report results
    fd944543 EOF in a test shell is an InfrastructureError
    429691d9 Support power control for CMSIS devices
    049c0227 lava-slave: add the right configuration for the host
    1e92bf38 lxc: improve error message
    b2f25cf0 Add support for booting from UEFI shell
    67a1e1c6 ramdisk: only pass to bootx if has u-boot header
    f4a4abd9 LAVA-967: check namespaces usage
  * Allow use of /srv/tftp in tftpd-hpa (Closes: #849237)
  * Move ser2net to Recommends. (Closes: #849229)

 -- Neil Williams <codehelp@debian.org>  Thu, 06 Jul 2017 18:18:03 +0100

lava-dispatcher (2017.6-1) unstable; urgency=medium

  * New production release
    38da5d8 LAVA-974: Fix init script and allow to set hostname
    0fd687e Don't use os.path.realpath() on device names
    d84dab7 Modifying vemsd deploy action to use ResetDevice
    d21385e testdef: get 'revision' from the right variable
    5ea16fe Rework test shell feedback timeouts
    510c4e5 Declare the feedback timeout
    b994757 Use pyudev device links as well as device nodes
    e609c22 Fix namespace usage in power commands.
    39e2e7e Read from feedback connection during long operations
    7be926a Allow tar.gz firmware bundles
    20e66c1 overlay: Raise JobError if root_partition is None
    4e27fcd LAVA-935 - Provide feedback output from connections
    831c71c Fix bug #3032 - Running an LXC/Hikey job without a test action ...
    84e7378 Fix namespace issue in NFS deployment action
    f1f8d71 Add login_prompt valid test case
    7dc48aa Issue lxc-stop before destroying a container.
    3e1cb07 Changing udev checks to only look for FS label
    d08db39 Fix #3010: set logging timezone to UTC
    1b664e5 LAVA-955 - Remove 'arch' parameter from lxc protocol.
    8a4dbc7 Increase LXC finalize timeout to 90 seconds similar to multinode.
    3823c49 Use one debug log call to log the same kind of message in
              lxc protocol.
    5db313c Creating vemsd mount points
    ea03ef1 Fixing boot test issues using NFS deploy action
    d1f4a30 Fix rebase error with grub prompt constant
    b2aef8b device-types: add sun6i-a31-app4-evb1
    8ceca07 Make grub use interrupt prompt and character from constants
    b495a35 device-types: add ttyAT0 to Atmel devices to support
              multiv7_defconfig
    3a89027 device-types: fix at91sam9x25ek to use bootz
    9e00895 Set download max_retries in the constructor
    959480c Add minimal boot action
    31fd021 User command: do not clean if it was not executed
    26572a2 Fix keys and label that were outdated
    67dd60e Remove unused functions
    0c100ff Remove boot-result common data
    342039a Fix RetryAction inside a RetryAction
    9ce430f Fix check on LXC for default usage.
    0576754 Fix typo: Use pixel job create function for testing pixel device.
    e7a4422 Fix typo: remove visibility added twice.
    9e67b6d LAVA-855 - ART CI: Intel NUC device integration for LAVA v2
    dd5d874 Ensure all deployments can add LXC devices except QEMU
    e72d490 Fix pipeline refs for change in monitor retry
    cb57d2b LAVA-942 UEFI Menu and command lists
    e57013b Start adb daemon before attempting adb commands.
    ac389ad lava-slave: remove tmp dir when END_OK is received
    632a0ff Fix device configuration
    0cffce4 Fix validation of boot auto_login parameters and add a unit test
    7e40701 Allow unix line separators for some UEFI devices
    095798a Avoid calling cleanup in validate
    f98dade Allow updating all pipeline_refs at a time.
    31b62dd LAVA-928 - HiKey issue when switching between AOSP and OE
    51f40ef Make soft reboot optional LAVA-846
    4d43d02 HiKey Grub EFI support
    874f889 Avoid logging the same message twice.
    3be27df lxc protocol: simplify the tests
    75126ff Do not set self.errors when Action.run fail
    ce32bfb Do not use self.errors in Action.run()
    a5d9eba Fix detection of missing ssh_host value in validate
    234eef9 Fix calling of protocols after LXC change
    477a36b tests: make ShellCommand.logger a DummyLogger
    62867f4 Use images.validation.linaro.org files for unit tests
    1868936 Silence logging in more unit tests
    609c783 Fix download action name
    b170197 More tweaks to silence messages from the unit tests
    29efa26 Adjust for pep8 checks in jessie
    0733f89 Make sure the test_character_delay is used for all commands
              in test shell
    78d2509 Account for empty environment string.
    ea09b19 Take namespace into account when counting test stages

