=== debian/control ===
Source: lava-dispatcher
Section: net
Priority: optional
Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
 Neil Williams <codehelp@debian.org>,
 Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
 Senthil Kumaran S (stylesen) <stylesen@gmail.com>
Build-Depends: debhelper (>= 8.0.0), dh-python,
 python | python-all | python-dev | python-all-dev,
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
 python-setuptools (>= 3)
X-Python-Version: 2.7
Testsuite: autopkgtest
Standards-Version: 4.0.0
Homepage: http://www.linaro.org/projects/test-validation/
Vcs-Git: https://github.com/Linaro/pkg-lava-dispatcher.git
Vcs-Browser: https://github.com/Linaro/pkg-lava-dispatcher

Package: lava-dispatcher
Architecture: amd64 arm64 armhf i386 mipsel powerpc ppc64el s390x ppc64
Depends: file, lsb-base (>= 4), python-serial (>= 2.6), python-setuptools,
 python-daemon, python-guestfs, parted, tar (>= 1.27),
 sudo, telnet, ${python:Depends}, ${misc:Depends}
Conflicts: python-linaro-dashboard-bundle
Provides: python-linaro-dashboard-bundle
Replaces: python-linaro-dashboard-bundle
Multi-Arch: foreign
Recommends: ntp, git, kpartx, tftpd-hpa, openbsd-inetd, ser2net,
 qemu-system-x86 (>= 2.8.0) [amd64 i386],
 qemu-system-arm (>= 2.8.0) [amd64 armhf arm64],
 libguestfs-tools [amd64 i386], nfs-kernel-server, rpcbind,
 python-setproctitle, u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.7),
 debootstrap (>= 1.0.86), bridge-utils, rsync, sshfs, dfu-util
Suggests: apache2, bzr, android-tools-fsutils | img2simg
Description: Linaro Automated Validation Architecture dispatcher
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package provides lava-dispatcher to dispatch
 LAVA jobs to configured devices.
 .
 A range of devices are supported for ARM and
 x86 architectures.
