=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,7 @@
 	python setup.py install --root=$(CURDIR)/debian/lava-dispatcher/ --install-layout=deb
 	$(RM) debian/lava-dispatcher/etc/init.d/lava-slave.init
 	mv -v debian/lava-dispatcher/usr/bin/lava-dispatch debian/lava-dispatcher/usr/sbin/
+	mv -v debian/lava-dispatcher/usr/bin/lava-run debian/lava-dispatcher/usr/sbin/
 
 override_dh_fixperms:
 	dh_fixperms -X debian/lava-dispatcher/usr/lib/python2.7/dist-packages/lava_dispatcher/device/dynamic_vm_keys/lava
@@ -52,10 +53,3 @@
 	$(RM) -r versiontools-*.egg/ doc/build/ doc/html/
 	[ ! -f man/Makefile ] || make -C man/ clean
 
-# get upstream version for get-orig-source target
-VERSION:= $(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' | sed -e 's/\-.*$$//')
-
-sdist-orig:
-	python setup.py sdist
-	mv -v dist/lava-dispatcher-$(VERSION)*.tar.gz ../lava-dispatcher_$(VERSION).orig.tar.gz
-	$(RM) -r versiontools-*.egg/
