=== debian/control ===
--- 
+++ 
@@ -18,13 +18,13 @@
 Package: lava-dispatcher
 Architecture: amd64 arm64 armhf i386 mipsel powerpc ppc64el s390x ppc64
 Depends: file, lsb-base (>= 4), python-serial (>= 2.6), python-setuptools,
- python-daemon, python-guestfs, parted, tar (>= 1.27),
+ python-daemon, python-guestfs, tar (>= 1.27),
  sudo, telnet, ${python:Depends}, ${misc:Depends}
 Conflicts: python-linaro-dashboard-bundle
 Provides: python-linaro-dashboard-bundle
 Replaces: python-linaro-dashboard-bundle
 Multi-Arch: foreign
-Recommends: ntp, git, kpartx, tftpd-hpa, openbsd-inetd, ser2net,
+Recommends: ntp, git, tftpd-hpa, openbsd-inetd, ser2net,
  qemu-system-x86 (>= 2.8.0) [amd64 i386],
  qemu-system-arm (>= 2.8.0) [amd64 armhf arm64],
  libguestfs-tools [amd64 i386], nfs-kernel-server, rpcbind,
