=== debian/control ===
--- 
+++ 
@@ -3,12 +3,10 @@
 Priority: optional
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
 Uploaders: Neil Williams <codehelp@debian.org>,
- Fathi Boudra <fabo@debian.org>, Jordi Mallach <jordi@debian.org>,
  Senthil Kumaran S (stylesen) <stylesen@gmail.com>
-Build-Depends: debhelper (>= 8.0.0), dh-python,
+Build-Depends: debhelper (>= 9.20160709), dh-python,
  python | python-all | python-dev | python-all-dev,
- python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
- python-setuptools (>= 3)
+ python3-sphinx, python-setuptools (>= 3)
 X-Python-Version: 2.7
 Standards-Version: 4.1.1
 Homepage: http://www.linaro.org/projects/test-validation/
@@ -17,8 +15,8 @@
 
 Package: lava-dispatcher
 Architecture: amd64 arm64 armhf i386 mipsel powerpc ppc64el s390x ppc64
-Depends: file, lsb-base (>= 4), python-serial (>= 2.6), python-setuptools,
- python-daemon, python-guestfs, tar (>= 1.27),
+Depends: file, systemd-sysv, python-serial (>= 2.6), python-setuptools,
+ python-guestfs, tar (>= 1.27),
  sudo, telnet, ${python:Depends}, ${misc:Depends}
 Conflicts: python-linaro-dashboard-bundle
 Provides: python-linaro-dashboard-bundle
