=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,9 @@
 export DH_OPTIONS
 
 %:
-	dh $@ --with python2
+	dh $@ --with systemd,python2
 
 override_dh_auto_build:
-	cp etc/lava-slave.init debian/lava-dispatcher.lava-slave.init
 	dh_auto_build
 	python setup.py build
 	make -C man/ man SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
@@ -35,10 +34,11 @@
 	dh_auto_install
 	dh_installman -plava-dispatcher man/_build/man/lava-dispatch.1
 	dh_installman -plava-dispatcher man/_build/man/lava-slave.8
-	dh_installinit --name lava-slave
 	python setup.py install --root=$(CURDIR)/debian/lava-dispatcher/ --install-layout=deb
-	$(RM) debian/lava-dispatcher/etc/init.d/lava-slave.init
 	mv -v debian/lava-dispatcher/usr/bin/lava-run debian/lava-dispatcher/usr/sbin/
+	cp ./etc/lava-slave.service debian/
+	dh_systemd_enable --name lava-slave
+	dh_systemd_start --name lava-slave
 
 override_dh_fixperms:
 	dh_fixperms -X debian/lava-dispatcher/usr/lib/python2.7/dist-packages/lava_dispatcher/dynamic_vm_keys/lava
@@ -50,5 +50,6 @@
 	dh_auto_clean
 	$(RM) -r lava_dispatcher.egg-info setup.cfg .idea/
 	$(RM) -r versiontools-*.egg/ doc/build/ doc/html/
+	$(RM) debian/lava-slave.service
 	[ ! -f man/Makefile ] || make -C man/ clean
