=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
  python | python-all | python-dev | python-all-dev,
  python3-sphinx, python-setuptools (>= 3)
 X-Python-Version: 2.7
-Standards-Version: 4.1.1
-Homepage: http://www.linaro.org/projects/test-validation/
+Standards-Version: 4.1.3
+Homepage: https://www.linaro.org/initiatives/lava/
 Vcs-Git: https://github.com/Linaro/pkg-lava-dispatcher.git
 Vcs-Browser: https://github.com/Linaro/pkg-lava-dispatcher
 
 Package: lava-dispatcher
 Architecture: amd64 arm64 armhf i386 mipsel powerpc ppc64el s390x ppc64
 Depends: file, systemd-sysv, python-serial (>= 2.6), python-setuptools,
- python-guestfs, tar (>= 1.27),
+ python-guestfs (>= 1.32.7), tar (>= 1.27),
  sudo, telnet, ${python:Depends}, ${misc:Depends}
 Conflicts: python-linaro-dashboard-bundle
 Provides: python-linaro-dashboard-bundle
@@ -25,7 +25,7 @@
 Recommends: ntp, git, tftpd-hpa, openbsd-inetd, ser2net,
  qemu-system-x86 (>= 2.8.0) [amd64 i386],
  qemu-system-arm (>= 2.8.0) [amd64 armhf arm64],
- libguestfs-tools [amd64 i386], nfs-kernel-server, rpcbind,
+ libguestfs-tools (>= 1.32.7) [amd64 i386], nfs-kernel-server, rpcbind,
  u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.7),
  debootstrap (>= 1.0.86), bridge-utils, rsync, sshfs, dfu-util
 Suggests: apache2, bzr, android-tools-fsutils | img2simg
