=== debian/control ===
--- 
+++ 
@@ -6,8 +6,11 @@
  Senthil Kumaran S (stylesen) <stylesen@gmail.com>
 Build-Depends: debhelper (>= 9.20160709), dh-python,
  python | python-all | python-dev | python-all-dev,
- python3-sphinx, python-setuptools (>= 3)
+ python3 | python3-all | python3-dev | python3-all-dev,
+ python3-sphinx (>= 1.0.7+dfsg),
+ python3-setuptools (>= 3),  python-setuptools (>= 3)
 X-Python-Version: 2.7
+X-Python3-Version: >=3.5
 Standards-Version: 4.1.3
 Homepage: https://www.linaro.org/initiatives/lava/
 Vcs-Git: https://github.com/Linaro/pkg-lava-dispatcher.git
@@ -16,8 +19,8 @@
 Package: lava-dispatcher
 Architecture: amd64 arm64 armhf i386 mipsel powerpc ppc64el s390x ppc64
 Depends: file, systemd-sysv, python-serial (>= 2.6), python-setuptools,
- python-guestfs (>= 1.32.7), tar (>= 1.27),
- sudo, telnet, ${python:Depends}, ${misc:Depends}
+ python-guestfs (>= 1.32.7), python3-guestfs (>= 1.32.7), tar (>= 1.27),
+ sudo, telnet, ${python:Depends}, ${python3:Depends}, ${misc:Depends}
 Conflicts: python-linaro-dashboard-bundle
 Provides: python-linaro-dashboard-bundle
 Replaces: python-linaro-dashboard-bundle
@@ -26,7 +29,7 @@
  qemu-system-x86 (>= 2.8.0) [amd64 i386],
  qemu-system-arm (>= 2.8.0) [amd64 armhf arm64],
  libguestfs-tools (>= 1.32.7) [amd64 i386], nfs-kernel-server, rpcbind,
- u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.7),
+ python3-setproctitle, u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.7),
  debootstrap (>= 1.0.86), bridge-utils, rsync, sshfs, dfu-util
 Suggests: apache2, bzr, android-tools-fsutils | img2simg
 Description: Linaro Automated Validation Architecture dispatcher
@@ -42,3 +45,22 @@
  .
  A range of devices are supported for ARM and
  x86 architectures.
+
+Package: lava-lxc-mocker
+Architecture: all
+Depends: ${misc:Depends}
+Conflicts: lxc
+Provides: lxc
+Replaces: lxc
+Description: Linaro Automated Validation Architecture LXC Mocker
+ LAVA is a continuous integration system for deploying operating
+ systems onto physical and virtual hardware for running tests.
+ Tests can be simple boot testing, bootloader testing and system
+ level testing, although extra hardware may be required for some
+ system tests. Results are tracked over time and data can be
+ exported for further analysis.
+ .
+ This package contains set of mocker scripts that mocks each of
+ the lxc commands that LAVA uses. It does not support all commands
+ and options that lxc provides, but just the ones that LAVA uses.
+ Test jobs using LXC can then be replicated in Docker.
