## lava-dispatcher 2018.4

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,9 @@
 Uploaders: Neil Williams <codehelp@debian.org>,
  Senthil Kumaran S (stylesen) <stylesen@gmail.com>
 Build-Depends: debhelper (>= 9.20160709), dh-python,
- python | python-all | python-dev | python-all-dev,
  python3 | python3-all | python3-dev | python3-all-dev,
  python3-sphinx (>= 1.0.7+dfsg),
- python3-setuptools (>= 3),  python-setuptools (>= 3)
-X-Python-Version: 2.7
+ python3-setuptools (>= 3)
 X-Python3-Version: >=3.5
 Standards-Version: 4.1.3
 Homepage: https://www.linaro.org/initiatives/lava/
@@ -18,12 +16,9 @@
 
 Package: lava-dispatcher
 Architecture: amd64 arm64 armhf i386 mipsel powerpc ppc64el s390x ppc64
-Depends: file, systemd-sysv, python-serial (>= 2.6), python-setuptools,
- python-guestfs (>= 1.32.7), python3-guestfs (>= 1.32.7), tar (>= 1.27),
- sudo, telnet, ${python:Depends}, ${python3:Depends}, ${misc:Depends}
-Conflicts: python-linaro-dashboard-bundle
-Provides: python-linaro-dashboard-bundle
-Replaces: python-linaro-dashboard-bundle
+Depends: file, systemd-sysv, python3-serial (>= 2.6), python3-setuptools,
+ python3-guestfs (>= 1.32.7), tar (>= 1.27),
+ sudo, telnet, ${python3:Depends}, ${misc:Depends}
 Multi-Arch: foreign
 Recommends: ntp, git, tftpd-hpa, openbsd-inetd, ser2net,
  qemu-system-x86 (>= 2.8.0) [amd64 i386],
@@ -41,7 +36,7 @@
  exported for further analysis.
  .
  This package provides lava-dispatcher to dispatch
- LAVA jobs to configured devices.
+ LAVA jobs to configured devices, for Python3 only.
  .
  A range of devices are supported for ARM and
  x86 architectures.
